# -*- encoding: utf-8 -*-
# stub: twexicon 0.1.8 ruby lib

Gem::Specification.new do |s|
  s.name = "twexicon".freeze
  s.version = "0.1.8"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Gabe Jackson".freeze]
  s.date = "2016-07-19"
  s.description = "When provided a valid Twitter handle, allows for command-line access to the given user's most recent tweets. Permits the retrieval of individual tweets and can provide ordered lists outlining the following details from the user's recent tweets: their most frequently used words; any embedded pictures or videos; any embedded hyperlinks; any #hashtags or @usernames mentioned; any numbers, such as years or times of day; any acronyms mentioned; and, last but definitely not least, anything the tweeter felt passionately enough about to SCREAM IN ALL CAPS.".freeze
  s.email = "gj+code@mail.co.de".freeze
  s.executables = ["twexicon".freeze]
  s.files = ["bin/twexicon".freeze]
  s.homepage = "https://github.com/gj/twexicon-cli-gem".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "CLI gem that returns a given Twitter user's most recent tweets and does some basic textual analysis.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.5"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_runtime_dependency(%q<nokogiri>.freeze, ["~> 1.5"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.5"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<nokogiri>.freeze, ["~> 1.5"])
  end
end
